\\ Copyright 2018, 2019, 2020 Kevin Ryde
\\
\\ This file is free software; you can redistribute it and/or modify it
\\ under the terms of the GNU General Public License as published by the Free
\\ Software Foundation; either version 3, or (at your option) any later
\\ version.
\\
\\ This file is distributed in the hope that it will be useful, but
\\ WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
\\ or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
\\ for more details.
\\
\\ You should have received a copy of the GNU General Public License along
\\ with this file  See the file COPYING.  If not, see
\\ <http://www.gnu.org/licenses/>.

default(recover,0);
default(strictargs,1)
read("../vpar.gp");


\\ Usage: gp <forvec-trees.gp
\\
\\ Iterate and print vpar of all labelled rooted trees of n vertices
\\ using forvec() and vpar_forvec_from().

n = 4;
print("vpar trees of n = "n" vertices");

count = 0;
{
  forvec(vec=vpar_forvec_from(n),
        my(vpar=vpar_from_upascend(vec));
        print("vpar="vpar"  (from vec="vec")");
        count++);
}
print("count "count" trees, which is vpar_count(n) = "vpar_count(n));
